/* -*- mode: c; c-basic-offset: 4; indent-tabs-mode: nil; -*-
 * vim:expandtab:shiftwidth=4:tabstop=4:
 */

#ifndef _MAIN_H__
#define _MAIN_H__

/*
 * haha.  mail me if you want to get this going on something that
 * isn't gcc.
 */
#define INIT_FUNC(name) static void __attribute__ ((constructor)) name(void)
#define CMD_FUNC(name) static void name(int argc, char **argv, void *shm_buf)

struct command {
	char *name;
	void (*func)(int argc, char **argv, void *shm_buf);
    GList *children;
    char *help;
    int num_args;
    char *arg_help;
};

void command_register(struct command *cmd);
int daemon_command(int cmd);

#endif
