/* -*- mode: c; c-basic-offset: 4; indent-tabs-mode: nil; -*-
 * vim:expandtab:shiftwidth=4:tabstop=4:
 */
#ifndef _TUN_H_
#define _TUN_H_

#include <net/if.h>
#include <glib.h>
#include "tunnel.h"

struct interface {
    struct tunnel *tunnel;
    int fd;
    char dev[IFNAMSIZ];
    GSource *source;
    GPollFD pfd;
    int mtu;
};

struct interface * int_allocate(struct tunnel *tunnel);
void int_destroy(struct interface *intf);
void int_deliver(struct interface *intf, struct packet *pkt);

#endif
