/* -*- mode: c; c-basic-offset: 4; indent-tabs-mode: nil; -*- */

#ifndef _MAIN_H_
#define _MAIN_H_

#include <sys/un.h>
#include <stdio.h>

struct daemon; 

#include "cmd.h"

struct daemon {
    /*
     * we only have one socket for now.. la la la.
     */
    GList *socket_list; /* hashed by name */

    struct config *config;
    struct cmd_sock cmd;
    FILE *log_file;

    GHookList shutdown_hooks;
    GMainLoop *mainloop;
};
#endif
