/* -*- mode: c; c-basic-offset: 4; indent-tabs-mode: nil; -*-
 * vim:expandtab:shiftwidth=4:tabstop=4:
 */
#ifndef _SECRET_H_
#define _SECRET_H_

#include <glib.h>
#include "pkt.h"
#include "wire.h"

struct secret {
    int len;
    char data[0];
};

int secret_append_list(struct packet *pkt);
int secret_choose(guint16 *list, int num);
int secret_append_ann(struct packet *pkt, guint16 type);
struct secret * secret_parse_ann(struct packet *pkt, guint16 type);
void secret_free(struct secret *sec);
int secret_init(void);

#endif
